Package owl.automaton.edge

## Class LabelledEdge<S>

- java.lang.Object
- - owl.automaton.edge.LabelledEdge<S>

-     public final class LabelledEdge<S>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Edge<S>` | `edge` |
    `ValuationSet` | `valuations` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Edge<S>` | `edge()` |
    `boolean` | `equals​(Object o)` |
    `void` | `forEach​(BiConsumer<Edge<S>,BitSet> action)` |
    `int` | `hashCode()` |
    `<T> LabelledEdge<T>` | `map​(Function<Edge<S>,Edge<T>> map)` |
    `static <S> LabelledEdge<S>` | `of​(Map.Entry<Edge<S>,ValuationSet> entry)` |
    `static <S> LabelledEdge<S>` | `of​(Edge<S> edge, ValuationSet valuations)` |
    `static <S> LabelledEdge<S>` | `of​(S state, int acceptance, ValuationSet valuations)` |
    `static <S> LabelledEdge<S>` | `of​(S state, BitSet acceptance, ValuationSet valuations)` |
    `static <S> LabelledEdge<S>` | `of​(S state, ValuationSet valuations)` |
    `S` | `successor()` |
    `String` | `toString()` |
    `ValuationSet` | `valuations()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### edge

          public final Edge<S> edge

    - #### valuations

          public final ValuationSet valuations

  - ### Method Detail

    - #### of

          public static <S> LabelledEdge<S> of​(S state,
                                               ValuationSet valuations)

    - #### of

          public static <S> LabelledEdge<S> of​(S state,
                                               int acceptance,
                                               ValuationSet valuations)

    - #### of

          public static <S> LabelledEdge<S> of​(S state,
                                               BitSet acceptance,
                                               ValuationSet valuations)

    - #### of

          public static <S> LabelledEdge<S> of​(Edge<S> edge,
                                               ValuationSet valuations)

    - #### of

          public static <S> LabelledEdge<S> of​(Map.Entry<Edge<S>,ValuationSet> entry)

    - #### edge

          public Edge<S> edge()

    - #### valuations

          public ValuationSet valuations()

    - #### successor

          public S successor()

    - #### map

          public <T> LabelledEdge<T> map​(Function<Edge<S>,Edge<T>> map)

    - #### forEach

          public void forEach​(BiConsumer<Edge<S>,BitSet> action)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`